Bug 89324 - Ruby Editing
Ruby Editing
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
plan60
: UMBRELLA
Depends on: 86473
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 20:35 UTC by Matthew Stevens
Modified: 2007-07-03 14:46 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Stevens 2006-11-14 20:35:13 UTC
Provider support for editing Ruby language including: syntax highlighting,
navigator support, code folding, error highlighting, semantic highlighting, mark
occurrences, hyperlink navigation and basic refactoring (rename)
Comment 1 Jan Becicka 2007-02-15 20:16:43 UTC
Tor, can you confirm/update target milestone? Thanks.
Comment 2 Torbjorn Norbye 2007-02-15 20:20:49 UTC
I'm not sure what the milestone means. The feature is definitely there already -
so arguably 6.0M7 is correct. On the other hand it's not part of the default
distribution; is that what the milestone is intended for?  I don't know if it's
decided whether the default distribution will have scripting support or if it
will be an add-on.
Comment 3 Jan Becicka 2007-02-15 20:47:15 UTC
Milestone calendar is here http://wiki.netbeans.org/wiki/view/NB6Milestones.

If this (or any) feature is already implemented for M7, the issue should be in
state FIXED. If it is not FIXED, it should be clear for which milestone is it
scheduled. If the feature is not planned for any known release, please set
target milestone to "future" if the schedule is not known at all set target
milestone to TBD.
Thanks



Comment 4 Petr Hrebejk 2007-02-16 14:49:54 UTC
Editing for Ruby is in trunk of the NetBeans CVS.
Comment 5 Jiri Kovalsky 2007-07-03 14:06:25 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 6 Jiri Kovalsky 2007-07-03 14:46:33 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo